# TextureMappingInfo Class Reference

Inheritance diagram for TextureMappingInfo:

List of all members.

## Public Member Functions
| TextureMappingInfo ()
boolean | operator== (const TextureMappingInfo &other) const
| TextureMappingInfo (const TextureMappingInfo &other)
## Public Attributes
boolean | fTiling
| Should the texture be repeated on the object.
boolean | fSeamless
| Should the texture be mirrored when it is repeated.
int16 | fRepeatCount [2]
| The number of repetitions along the X (width) and Y (height) axes.
boolean | fFlip [2]
| Should the texture be mirrored in X or Y.
int16 | fNinetyDegreeCount
| Number of 90 degrees turn to apply to the texture.
boolean | fInterpolate
| Should the texture be interpolated.
boolean | fInvertColor
| Should the texture's colors be inverted.
real | fBrightness
| Value between zero and one, which multiplies values in GetValue and GetColor.
ETMapFilter | fFiltering
| The filter method to use.
boolean | fIsInternal
| True if the texture is saved inside the Carrara file.

## Detailed Description

structure to get/set options on a texture (IShTextureMap)

## Constructor & Destructor Documentation

TextureMappingInfo::TextureMappingInfo | ( |  | ) | `[inline]`

TextureMappingInfo::TextureMappingInfo | ( | const TextureMappingInfo & | other | ) | `[inline]`

## Member Function Documentation

boolean TextureMappingInfo::operator== | ( | const TextureMappingInfo & | other | ) | const`[inline]`

## Member Data Documentation

real TextureMappingInfo::fBrightness

Value between zero and one, which multiplies values in GetValue and GetColor.

ETMapFilter TextureMappingInfo::fFiltering

The filter method to use.

boolean TextureMappingInfo::fFlip[2]

Should the texture be mirrored in X or Y.

boolean TextureMappingInfo::fInterpolate

Should the texture be interpolated.

boolean TextureMappingInfo::fInvertColor

Should the texture's colors be inverted.

boolean TextureMappingInfo::fIsInternal

True if the texture is saved inside the Carrara file.

int16 TextureMappingInfo::fNinetyDegreeCount

Number of 90 degrees turn to apply to the texture.

int16 TextureMappingInfo::fRepeatCount[2]

The number of repetitions along the X (width) and Y (height) axes.

boolean TextureMappingInfo::fSeamless

Should the texture be mirrored when it is repeated.

boolean TextureMappingInfo::fTiling

Should the texture be repeated on the object.

The documentation for this class was generated from the following file:

- IShTextureMap.h